Open CASCADE Technology: LocOpe_CurveShapeIntersector Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
LocOpe_CurveShapeIntersector Class Reference

This class provides the intersection between an axis or a circle and the faces of a shape. The intersection points are sorted in increasing parameter along the axis. More...

`#include <LocOpe_CurveShapeIntersector.hxx>`

## Public Member Functions
| LocOpe_CurveShapeIntersector ()
| Empty constructor. More...
| LocOpe_CurveShapeIntersector (const gp_Ax1 &Axis, const TopoDS_Shape &S)
| Creates and performs the intersection betwwen <Ax1> and <S>. More...
| LocOpe_CurveShapeIntersector (const gp_Circ &C, const TopoDS_Shape &S)
| Creates and performs yte intersection betwwen `and <S>.` More...
void | Init (const gp_Ax1 &Axis, const TopoDS_Shape &S)
| Performs the intersection between <Ax1 and <S>. More...
void | Init (const gp_Circ &C, const TopoDS_Shape &S)
| Performs the intersection between <Ax1 and <S>. More...
Standard_Boolean | IsDone () const
| Returns <Standard_True> if the intersection has been done. More...
Standard_Integer | NbPoints () const
| Returns the number of intersection point. More...
const LocOpe_PntFace & | Point (const Standard_Integer Index) const
| Returns the intersection point of range <Index>. The points are sorted in increasing order of parameter along the axis. More...
Standard_Boolean | LocalizeAfter (const Standard_Real From, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| Searches the first intersection point located after the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). More...
Standard_Boolean | LocalizeBefore (const Standard_Real From, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| Searches the first intersection point located before the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). More...
Standard_Boolean | LocalizeAfter (const Standard_Integer FromInd, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| Searches the first intersection point located after the index <FromInd> ( >= FromInd + 1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo). More...
Standard_Boolean | LocalizeBefore (const Standard_Integer FromInd, TopAbs_Orientation &Or, Standard_Integer &IndFrom, Standard_Integer &IndTo) const
| Searches the first intersection point located before the index <FromInd> ( <= FromInd -1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo). More...

## Detailed Description

This class provides the intersection between an axis or a circle and the faces of a shape. The intersection points are sorted in increasing parameter along the axis.

## Constructor & Destructor Documentation

LocOpe_CurveShapeIntersector::LocOpe_CurveShapeIntersector | ( |  | ) |

Empty constructor.

LocOpe_CurveShapeIntersector::LocOpe_CurveShapeIntersector | ( | const gp_Ax1 & | Axis,
|  | const TopoDS_Shape & | S
| ) |  |

Creates and performs the intersection betwwen <Ax1> and <S>.

LocOpe_CurveShapeIntersector::LocOpe_CurveShapeIntersector | ( | const gp_Circ & | C,
|  | const TopoDS_Shape & | S
| ) |  |

Creates and performs yte intersection betwwen `and <S>.`

## Member Function Documentation

void LocOpe_CurveShapeIntersector::Init | ( | const gp_Ax1 & | Axis,
|  | const TopoDS_Shape & | S
| ) |  |

Performs the intersection between <Ax1 and <S>.

void LocOpe_CurveShapeIntersector::Init | ( | const gp_Circ & | C,
|  | const TopoDS_Shape & | S
| ) |  |

Performs the intersection between <Ax1 and <S>.

Standard_Boolean LocOpe_CurveShapeIntersector::IsDone | ( |  | ) | const

Returns <Standard_True> if the intersection has been done.

Standard_Boolean LocOpe_CurveShapeIntersector::LocalizeAfter | ( | const Standard_Real | From,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

Searches the first intersection point located after the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo).

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CurveShapeIntersector::LocalizeAfter | ( | const Standard_Integer | FromInd,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

Searches the first intersection point located after the index <FromInd> ( >= FromInd + 1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point. (IndFrom <= IndTo).

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CurveShapeIntersector::LocalizeBefore | ( | const Standard_Real | From,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

Searches the first intersection point located before the parameter <From>, wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo).

Otherwise, returns <Standard_False>.

Standard_Boolean LocOpe_CurveShapeIntersector::LocalizeBefore | ( | const Standard_Integer | FromInd,
|  | TopAbs_Orientation & | Or,
|  | Standard_Integer & | IndFrom,
|  | Standard_Integer & | IndTo
| ) |  | const

Searches the first intersection point located before the index <FromInd> ( <= FromInd -1), wich orientation is not TopAbs_EXTERNAL. If found, returns <Standard_True>. <Or> contains the orientation of the point, <IndFrom> and <IndTo> represents the interval of index in the sequence of intersection point corresponding to the point (IndFrom <= IndTo).

Otherwise, returns <Standard_False>.

Standard_Integer LocOpe_CurveShapeIntersector::NbPoints | ( |  | ) | const

Returns the number of intersection point.

const LocOpe_PntFace& LocOpe_CurveShapeIntersector::Point | ( | const Standard_Integer | Index | ) | const

Returns the intersection point of range <Index>. The points are sorted in increasing order of parameter along the axis.

The documentation for this class was generated from the following file:

- LocOpe_CurveShapeIntersector.hxx